Skip to main content
POST
/
email-batch
curl --request POST \ --url https://api.jetemail.com/email-batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "emails": [ { "from": "John Doe <john@example.com>", "to": "recipient1@example.com", "subject": "Test Email 1", "text": "Hello! This is test email 1." }, { "from": "John Doe <john@example.com>", "to": "recipient2@example.com", "subject": "Test Email 2", "text": "Hello! This is test email 2." } ] } '
{
  "summary": {
    "total": 2,
    "successful": 1,
    "failed": 1
  },
  "results": [
    {
      "status": "success",
      "id": "19424fd2acd0004210",
      "response": "Message queued as 19424fd2acd0004210",
      "scheduled_at": 1762435200
    }
  ]
}

Authorizations

Authorization
string
header
required

Transactional key for sending emails. Use your transactional_ prefixed token.

Body

application/json
emails
object[]
required
Required array length: 1 - 100 elements

Response

Batch processing results

summary
object
results
object[]